Subject: bug#33250: 26.1.50; Unable to build emacs-26 branch out of tree on fedora 29

From: [email-masked] (Pierre Téchoueyres)
Date: Wed, 07 Nov 2018 23:55:54 +0100

Hello Paul,
First, thanks for the time you spend on this and sorry for the delay in
my response.

Paul Eggert <[email-masked]> writes:

> I can't reproduce the problem on my Fedora 29 x86-64 platform. My
> build log is attached (compressed). One difference is that I didn't
> use the configure argument "--host=$(rpm -E 
> '%{_arch}-fc%{fedora}-%{_host_os}%{_gnu}')", which caused ar, ranlib,
> and pkg-config to not be found on your platform. What happens if you
> omit the --host argument?

Nothing change. I've tried many variant :

- with only --prefix=/usr/local
- without anything
- without --host=...

After each try, this fail with the same error.

>
> Also, the first command discrepancy is that my build log says "GEN
> ../../../etc/charsets/8859-2.map" and similarly for other *.map files,
> whereas yours does not, and there are other places where it appears
> that your directory contains files that are already built and may have
> the wrong contents. I suggest looking into that.

I've also done some experiments :
- in a directory on the side of my emacs-26 source: everything work as
expected.
- after deleting the build-26 directory and re-applyed the following
commands:
  1) git clean -dfx
  2) ./autogen.sh
  3) mkdir build-26 && cd build-26
  3) ../configure with the same options as yours
and this doesn't build.

FYI I've attached my traces and also 2 diffs:
- one after the configure step between my two build-26 dirs (the one
beside of the emacs-26 directory and the other inside). -- emacs-26.outoftree.diff

- one between your traces and mine for the build inside
emacs-26/build-26 (for this I've stripped off the paths before
emacs-26. eg. removed /home/...) -- emacs-26.outoftree.diff.eggbert.diff

For the second diff I've found that the my temacs dump has lesser size
than yours and of course the "Nothing to be done for 'compile-first'."
for 'emacs-26/build-26/lisp' directory

I'm felling like if I've jumped inside the rabbit's hole of Alice.
If you see something that make sense to you ...